package smart_gs.menu.action;

import java.awt.event.ActionListener;

import smart_gs.logical.Preference;
import smart_gs.menu.DirectorySettingWindow;

public class SetDscFolderPathAction extends SetDirectoryPathAction implements
		ActionListener {
	
	public SetDscFolderPathAction(){
		chooser.setDialogTitle("DSC Folder Path");
	}
	@Override
	protected String getOldPath() {
		return Preference.getInstance().getDscFolderPathString();
	}
	@Override
	protected void validateNewPath(String newPath) {
		DirectorySettingWindow.getInstance().setDscTextField(newPath);
	}

}